Package groovy.console.ui.text

# Class StructuredSyntaxHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
groovy.console.ui.text.StructuredSyntaxHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class StructuredSyntaxHandler extends DefaultHandler
SAX handler that reads structured syntax definitions into a document filter.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALIGN_CENTER`
  Alignment value name for centered text.
  `static final String`
  `ALIGN_JUSTIFIED`
  Alignment value name for justified text.
  `static final String`
  `ALIGN_LEFT`
  Alignment value name for left-aligned text.
  `static final String`
  `ALIGN_RIGHT`
  Alignment value name for right-aligned text.
  `static final String`
  `ALIGNMENT`
  Style attribute name for alignment.
  `static final String`
  `BACKGROUND`
  Style attribute name for background color.
  `static final String`
  `BIDI_LEVEL`
  Style attribute name for bidirectional text level.
  `static final String`
  `BOLD`
  Style attribute name for bold text.
  `static final String`
  `COMPONENT_ATTRIBUTE`
  Style attribute name for embedded components.
  `static final String`
  `COMPONENT_ELEMENT_NAME`
  Style attribute name for component element names.
  `static final String`
  `COMPOSED_TEXT_ATTRIBUTE`
  Style attribute name for composed text.
  `static final String`
  `FIRST_LINE_INDENT`
  Style attribute name for first-line indentation.
  `static final String`
  `FONT_FAMILY`
  Style attribute name for font family.
  `static final String`
  `FONT_SIZE`
  Style attribute name for font size.
  `static final String`
  `FOREGROUND`
  Style attribute name for foreground color.
  `static final String`
  `ICON_ATTRIBUTE`
  Style attribute name for embedded icons.
  `static final String`
  `ICON_ELEMENT_NAME`
  Style attribute name for icon element names.
  `static final String`
  `ITALIC`
  Style attribute name for italic text.
  `static final String`
  `LEFT_INDENT`
  Style attribute name for left indentation.
  `static final String`
  `LINE_SPACING`
  Style attribute name for line spacing.
  `static final String`
  `MODEL_ATTRIBUTE`
  Style attribute name for model attributes.
  `static final String`
  `NAME_ATTRIBUTE`
  Style attribute name for named attributes.
  `static final String`
  `ORIENTATION`
  Style attribute name for orientation.
  `static final String`
  `REGEXP`
  XML element name for regular expression entries.
  `static final String`
  `RESOLVE_ATTRIBUTE`
  Style attribute name for resolve attributes.
  `static final String`
  `RIGHT_INDENT`
  Style attribute name for right indentation.
  `static final String`
  `SPACE_ABOVE`
  Style attribute name for space above paragraphs.
  `static final String`
  `SPACE_BELOW`
  Style attribute name for space below paragraphs.
  `static final String`
  `STRIKE_THROUGH`
  Style attribute name for strike-through text.
  `static final String`
  `STYLE`
  XML element name for style entries.
  `static final String`
  `SUBSCRIPT`
  Style attribute name for subscript text.
  `static final String`
  `SUPERSCRIPT`
  Style attribute name for superscript text.
  `static final String`
  `TAB_SET`
  Style attribute name for tab sets.
  `static final String`
  `UNDERLINE`
  Style attribute name for underlined text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)`
  Creates a handler for the supplied syntax filter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `endDocument()`
  `void`
  `endElement(String uri, String localName, String qName)`
  `void`
  `error(SAXParseException e)`
  `void`
  `startDocument()`
  `void`
  `startElement(String uri, String localName, String qName, Attributes attributes)`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Field Details

  - ### REGEXP

    public static final String REGEXP
    XML element name for regular expression entries.
    See Also:
      - Constant Field Values

  - ### STYLE

    public static final String STYLE
    XML element name for style entries.
    See Also:
      - Constant Field Values

  - ### ALIGN_CENTER

    public static final String ALIGN_CENTER
    Alignment value name for centered text.
    See Also:
      - Constant Field Values

  - ### ALIGN_JUSTIFIED

    public static final String ALIGN_JUSTIFIED
    Alignment value name for justified text.
    See Also:
      - Constant Field Values

  - ### ALIGN_LEFT

    public static final String ALIGN_LEFT
    Alignment value name for left-aligned text.
    See Also:
      - Constant Field Values

  - ### ALIGN_RIGHT

    public static final String ALIGN_RIGHT
    Alignment value name for right-aligned text.
    See Also:
      - Constant Field Values

  - ### ALIGNMENT

    public static final String ALIGNMENT
    Style attribute name for alignment.
    See Also:
      - Constant Field Values

  - ### BACKGROUND

    public static final String BACKGROUND
    Style attribute name for background color.
    See Also:
      - Constant Field Values

  - ### BIDI_LEVEL

    public static final String BIDI_LEVEL
    Style attribute name for bidirectional text level.
    See Also:
      - Constant Field Values

  - ### BOLD

    public static final String BOLD
    Style attribute name for bold text.
    See Also:
      - Constant Field Values

  - ### COMPONENT_ATTRIBUTE

    public static final String COMPONENT_ATTRIBUTE
    Style attribute name for embedded components.
    See Also:
      - Constant Field Values

  - ### COMPONENT_ELEMENT_NAME

    public static final String COMPONENT_ELEMENT_NAME
    Style attribute name for component element names.
    See Also:
      - Constant Field Values

  - ### COMPOSED_TEXT_ATTRIBUTE

    public static final String COMPOSED_TEXT_ATTRIBUTE
    Style attribute name for composed text.
    See Also:
      - Constant Field Values

  - ### FIRST_LINE_INDENT

    public static final String FIRST_LINE_INDENT
    Style attribute name for first-line indentation.
    See Also:
      - Constant Field Values

  - ### FONT_FAMILY

    public static final String FONT_FAMILY
    Style attribute name for font family.
    See Also:
      - Constant Field Values

  - ### FONT_SIZE

    public static final String FONT_SIZE
    Style attribute name for font size.
    See Also:
      - Constant Field Values

  - ### FOREGROUND

    public static final String FOREGROUND
    Style attribute name for foreground color.
    See Also:
      - Constant Field Values

  - ### ICON_ATTRIBUTE

    public static final String ICON_ATTRIBUTE
    Style attribute name for embedded icons.
    See Also:
      - Constant Field Values

  - ### ICON_ELEMENT_NAME

    public static final String ICON_ELEMENT_NAME
    Style attribute name for icon element names.
    See Also:
      - Constant Field Values

  - ### ITALIC

    public static final String ITALIC
    Style attribute name for italic text.
    See Also:
      - Constant Field Values

  - ### LEFT_INDENT

    public static final String LEFT_INDENT
    Style attribute name for left indentation.
    See Also:
      - Constant Field Values

  - ### LINE_SPACING

    public static final String LINE_SPACING
    Style attribute name for line spacing.
    See Also:
      - Constant Field Values

  - ### MODEL_ATTRIBUTE

    public static final String MODEL_ATTRIBUTE
    Style attribute name for model attributes.
    See Also:
      - Constant Field Values

  - ### NAME_ATTRIBUTE

    public static final String NAME_ATTRIBUTE
    Style attribute name for named attributes.
    See Also:
      - Constant Field Values

  - ### ORIENTATION

    public static final String ORIENTATION
    Style attribute name for orientation.
    See Also:
      - Constant Field Values

  - ### RESOLVE_ATTRIBUTE

    public static final String RESOLVE_ATTRIBUTE
    Style attribute name for resolve attributes.
    See Also:
      - Constant Field Values

  - ### RIGHT_INDENT

    public static final String RIGHT_INDENT
    Style attribute name for right indentation.
    See Also:
      - Constant Field Values

  - ### SPACE_ABOVE

    public static final String SPACE_ABOVE
    Style attribute name for space above paragraphs.
    See Also:
      - Constant Field Values

  - ### SPACE_BELOW

    public static final String SPACE_BELOW
    Style attribute name for space below paragraphs.
    See Also:
      - Constant Field Values

  - ### STRIKE_THROUGH

    public static final String STRIKE_THROUGH
    Style attribute name for strike-through text.
    See Also:
      - Constant Field Values

  - ### SUBSCRIPT

    public static final String SUBSCRIPT
    Style attribute name for subscript text.
    See Also:
      - Constant Field Values

  - ### SUPERSCRIPT

    public static final String SUPERSCRIPT
    Style attribute name for superscript text.
    See Also:
      - Constant Field Values

  - ### TAB_SET

    public static final String TAB_SET
    Style attribute name for tab sets.
    See Also:
      - Constant Field Values

  - ### UNDERLINE

    public static final String UNDERLINE
    Style attribute name for underlined text.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)
    Creates a handler for the supplied syntax filter.
    Parameters:
      `filter` - the filter receiving parsed syntax definitions

- ## Method Details

  - ### characters

    public void characters(char[] ch, int start, int length)
    Specified by:
      `characters` in interface `ContentHandler`
    Overrides:
      `characters` in class `DefaultHandler`

  - ### endDocument

    public void endDocument() throws SAXException
    Specified by:
      `endDocument` in interface `ContentHandler`
    Overrides:
      `endDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String uri, String localName, String qName) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Overrides:
      `endElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException e) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Overrides:
      `error` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startDocument

    public void startDocument() throws SAXException
    Specified by:
      `startDocument` in interface `ContentHandler`
    Overrides:
      `startDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startElement

    public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `DefaultHandler`
    Throws:
      `SAXException`